/*
---------------------------------------------------

	Visual C++ 2005 Express
	
	1K FrameWork / DirectX 9

	by rbraz - March 2007

	[16/12/2007] Updated:
	-Added initialized d3dpp parameters

---------------------------------------------------
*/

#include <windows.h>

// Direct3D includes
#include <d3d9.h>
#include <d3dx9.h>
extern "C" int _fltused = 0;

static int d3dpp[] = {
	1024,
     768,
     D3DFMT_A8R8G8B8,
     0,
     0,
     0,
     D3DSWAPEFFECT_DISCARD,
     0,
     0,
     0,
     0,
     0,
     0,
     0
};

void WinMainCRTStartup()
{ 
	//Create main window
	HWND  hWnd = ( CreateWindowEx(WS_EX_TOPMOST, "edit",0,0,0,0,0,0,0,0,0,0) );

	//DirectX9 Initializations
	IDirect3DDevice9* g_pd3dDevice;
	IDirect3D9* g_pD3D = Direct3DCreate9( D3D_SDK_VERSION );

	//Create Device
	g_pD3D->CreateDevice( D3DADAPTER_DEFAULT, D3DDEVTYPE_HAL, hWnd,
                                  D3DCREATE_SOFTWARE_VERTEXPROCESSING,
                                  (D3DPRESENT_PARAMETERS *)&d3dpp, &g_pd3dDevice );

	//Cursor off
	ShowCursor(FALSE);
  
	do
	{
			// Clear the back buffer
			g_pd3dDevice->Clear( 0, NULL, D3DCLEAR_TARGET, D3DCOLOR_XRGB(0,0,0), 1.0f, 0 );
			
			// Begin the scene
			g_pd3dDevice->BeginScene();

			// Rendering of scene objects happens here

			// End the scene
			g_pd3dDevice->EndScene();

			//Display Scene
			g_pd3dDevice->Present( NULL, NULL, NULL, NULL );
		
	} while ( !GetAsyncKeyState(VK_ESCAPE) );
 
}

